/************************************************************************
 * AUTHOR: NiuJiuRu
 * FILENAME: swdir.h
 * CONTENT: 常用的目录操作接口函数
 * NOTE:
 * HISTORY:
 * 1, [2010-09-14] created by NiuJiuRu
 ************************************************************************/
#ifndef __SWDIR_H__
#define __SWDIR_H__

#ifdef __cplusplus
extern "C"
{
#endif

/* 创建目录以及该目录前的所有父目录 */
int sw_dir_create(const char *dir);

/* 删除目录以及该目录下的所有子目录和文件 */
bool sw_dir_delete(const char *dir);

/* 判断目录是否存在 */
bool sw_dir_exists(const char *dir);

/* 打开目录 */
void *sw_dir_open(const char *dir);

/* 读目录内容, 返回NULL时表示结束 */
void *sw_dir_read(void *hDir);

/* 关闭目录 */
void sw_dir_close(void *hDir);

/* 得到文件名 */
char *xGetPathFileName(const char *path);

/* 程序运行后, 得到其可执行文件所在的目录及对应文件名 */
int xGetSelfRunningInfo(char *dir, char *bin);

#ifdef __cplusplus
}
#endif

#endif /* __SWDIR_H__ */
